Erro ao instalar squid2 ou Lusca-Cache



  • Olá colegas do fórum, só para constar, relato que procurei neste forum, bem como nos sites de busca pelo problema que passarei a descrever, em seguida, não obtendo nenhum sucesso.

    Eis meu problema: Quando tento instalar o Squid2 ou mesmo o Lusca-Cache, no WebConf (Services > Proxy server) aparece-me a seguinte mensagem "Warning: dir(/usr/pbi/squid-i386/etc/squid/errors/): failed to open dir: No such file or directory in /etc/inc/pfsense-utils.inc on line 417 Fatal error: Call to a member function read() on a non-object in /etc/inc/pfsense-utils.inc on line 418".

    Sendo assim, criei manualmente o diretório (pasta) "errors" dentro de "/usr/pbi/squid-i386/etc/squid/", e dei permissão total (777), e a página de gerenciamento do squid apareceu no webConf.

    Até aí tudo bem, ocorre que, quando rodo o seguinte comando no shell (para checar se o squid funciona/filtra) "tail -f access.log | grep TCP_HIT", dentro da pasta "/var/squid/logs", nada acontece… ou seja, ao que tudo indica o squid não está rodando...

    Onde estou errando? Alguém pode me ajudar?

    Para constar, setei o squid2 em modo transparente...

    Por fim, anoto que quando faço os procedimentos para instalar o lusca-cache, seguido esta dica (http://forum.pfsense.org/index.php?topic=60285.0), ocorre o mesmo programa, e que também, estou rodando a seguinte versão do Pfsense: "pfSense-LiveCD-2.1-RELEASE-i386-20130911-1815".

    Agradeço desde já qualquer resposta!



  • elohin,

    Bem vindo ao fórum! :)

    Acredito que o pacote do lusca cache para o pfsense não é atualizado a um bom tempo e portanto não tem suporte ao 2.1.

    Já o squid2 é mantido pelo core team e teoricamente está 100% funcional para a 2.1



  • @marcelloc:

    elohin,

    Bem vindo ao fórum! :)

    Acredito que o pacote do lusca cache para o pfsense não é atualizado a um bom tempo e portanto não tem suporte ao 2.1.

    Já o squid2 é mantido pelo core team e teoricamente está 100% funcional para a 2.1

    Ok, vou reinstalar tudo aqui…

    Outra coisa, você poderia indicar uma versão do pfsense, tipo nanobsd-img, live...

    Obrigado pela atenção!



  • @_elohin_:

    Outra coisa, você poderia indicar uma versão do pfsense, tipo nanobsd-img, live…

    Depende do seu hardware.

    Normalmente usamos o livecd


Log in to reply